Bug 98860 - Dump doesn't support 32-bit UIDs
Dump doesn't support 32-bit UIDs
Product: Red Hat Linux
Classification: Retired
Component: dump (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-07-09 12:49 EDT by Steve Atwell
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version: 0.4b33
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-20 08:37:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Atwell 2003-07-09 12:49:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.4b) Gecko/20030529
Mozilla Firebird/0.6

Description of problem:
If you dump and then restore files with 32-bit UIDs, the restored files will not
have the appropriate ownership.

This is fixed the current version of dump released by Stelian Pop, which is
version 0.4b34.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a file and chown 10000000:10000000 that file
2. Run "dump 0f /tmp/test.dump file"
3. Restore the dump

Actual Results:  The restored file will be owned by 38528:38528

Expected Results:  The file should be owned by 10000000:10000000

Additional info:
Comment 1 Mike A. Harris 2003-07-10 08:45:22 EDT
0.4b34 does not compile on all architectures supported by Red Hat currently.
In particular it fails on AMD64, ia64 at least, and possibly other 64bit

Once dump compiles on x86/ia64/AMD64/ppc/ppc64/s390/s390x again, I'll update
to the latest version though, but it's low priority as dump is a priority
3 package.  If this gets fixed upstream, it would expediate it getting updated
in the distribution however.
Comment 2 Mike A. Harris 2003-07-20 08:37:09 EDT
dump-0.4b33 in rawhide contains the fix for this problem.

Note You need to log in before you can comment on or make changes to this bug.